/*
 * @Author: 纪泽龙 jizelong@qq.com
 * @Date: 2022-06-16 14:52:17
 * @LastEditors: 纪泽龙 jizelong@qq.com
 * @LastEditTime: 2022-06-21 15:35:20
 * @FilePath: /danger-manage-web/src/directive/permission/index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import hasRole from './hasRole'
import hasPermi from './hasPermi'
import unValue from './unValue'

const install = function(Vue) {
  Vue.directive('hasRole', hasRole)
  Vue.directive('hasPermi', hasPermi)
  Vue.directive('unValue', unValue)
}

if (window.Vue) {
  window['hasRole'] = hasRole
  window['hasPermi'] = hasPermi
  Vue.use(install); // eslint-disable-line
}

export default install
